2019-10-21 17:27 EDT


View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0002579FSSCPFREDpublic2012-01-23 18:16
Reporterchief1983 
Assigned ToGoober5000 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
Platformx86-64OSWindows 7OS VersionProfessional
Product Version3.6.13 
Target Version3.6.14Fixed in Version3.6.14 
Summary0002579: Assert(strlen(shipp->ship_name) <= NAME_LENGTH - 1); (another separate issue)
DescriptionOk, so not only was the assert coded badly, the name here isn't the class name causing it, but the auto-generate ship name when adding a new ship to a mission. It adds a space plus the object number to the end of the class name without making sure that doesn't go over 31.
Steps To ReproduceUse debug.
Have 31 character ship name and add it to the mission.
Still asserts even with my previous fix.
Additional InformationSee ship::ship_create() just before it calls ship_set() where it generates the name.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0013115

Goober5000 (administrator)

Fixed in revision 8329.

~0013137

chief1983 (administrator)

Fix committed to fs2_open_3_6_14@8359.
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2012-01-22 21:39 chief1983 New Issue
2012-01-22 21:39 chief1983 Status new => assigned
2012-01-22 21:39 chief1983 Assigned To => Goober5000
2012-01-22 21:49 Goober5000 Note Added: 0013115
2012-01-22 21:49 Goober5000 Status assigned => resolved
2012-01-22 21:49 Goober5000 Fixed in Version => 3.6.14
2012-01-23 18:16 chief1983 Changeset attached => fs2open fs2_open_3_6_14 r8359
2012-01-23 18:16 chief1983 Note Added: 0013137
2012-01-23 18:16 chief1983 Resolution open => fixed
+Issue History